TRUNC(3)

NAME
trunc, truncf, truncl - round to integer, towards zero

SYNOPSIS
#include <math.h>

double trunc(double x);
float truncf(float x);
long double truncl(long double x);

Link with -lm.

Feature Test Macro Requirements for glibc (see feature_test_macros(7)):

trunc(), truncf(), truncl(): _XOPEN_SOURCE >= 600 || _ISOC99_SOURCE; or cc -std=c99

DESCRIPTION
These functions round x to the nearest integer not larger in absolute value.

RETURN VALUE
The rounded integer value. If x is integral, infinite or NaN, x itself is returned.

ERRORS
None.

CONFORMING TO
C99.

SEE ALSO
ceil(3), floor(3), lrint(3), nearbyint(3), rint(3), round(3)